#include <iostream>

using namespace std;

int main()
{
   int k,m,n;
   cin>>n>>m>>k;
   int a[n][m];
   for(int i=0;i<k;i++)
    for(int j=0;j<k;j++)
   {
       cin>>a[i][j];
   }
   cout<<1<<endl;
    return 0;
}